> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete address

> Delete an address. To delete the default shipping address, first select another shipping address or use the billing address.



## OpenAPI

````yaml delete /v1/customers/{customerId}/addresses/{addressId}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{customerId}/addresses/{addressId}:
    delete:
      tags:
        - Customers > Address
      summary: Delete address
      description: >-
        Delete an address. To delete the default shipping address, first select
        another shipping address or use the billing address.
      operationId: deleteCustomerAddress
      parameters:
        - schema:
            type: string
          required: true
          name: customerId
          in: path
        - schema:
            type: string
          required: true
          name: addressId
          in: path
      responses:
        '204':
          description: ''
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````